// ******************************************************************************************
// Mod Name: Future_Past_Expansion
// Mod Id: Future_Past_Expansion_EbolaGranola
// Mod Version: 1.1.0
// Mod File: code.js
// ******************************************************************************************
// Author: Ebola Granola
// Last modified: 2018-07-06 9:28 AM
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var Future_Past_Expansion = {};

(function(){

// ******************************************************************************************
// Researches: Engines
// ******************************************************************************************

// Adding 2D Graphics V6
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "9925a181-becd-4bc6-ba15-3b4e414887b9",
	name: "2D Graphics V6",
	canResearch: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(32, 1, 1);

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 12
	});

// Adding 2D Graphics V7
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "0be25e10-067c-4946-a7ee-8dd4f297da10",
	name: "2D Graphics V7",
	canResearch: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(41, 1, 1);

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 14
	});

// Adding Direct Brain-Machine Graphics
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "d2d9aa4d-656d-45d1-b1ec-8ca780c334c5",
	name: "Direct Brain-Machine Graphics",
	canResearch: function () {
							var res = true;
							res &=   GameManager.company.isLaterOrEqualThan(50, 1, 1);

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 14
	});

// Adding Direct Brain-Machine Audio
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "22e9955a-1328-40c8-ad27-c7565f54a00d",
	name: "Direct Brain-Machine Audio",
	canResearch: function () {
							var res = true;
							res &=   GameManager.company.isLaterOrEqualThan(50, 1, 1);

						return res;
				},
	category: "Sound",
	categoryDisplayName: "Sound",
	v: 14
	});

// Adding Direct Brain-Machine Character Immersion
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "f1961439-22c3-4b27-ae11-3313c74880db",
	name: "Direct Brain-Machine Character Immersion",
	canResearch: function () {
							var res = true;
							res &=   GameManager.company.isLaterOrEqualThan(50, 1, 1);

						return res;
				},
	category: "Story/Quests",
	categoryDisplayName: "Story/Quests",
	v: 14
	});

// Adding Self-Aware AI
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "a70e903d-99a0-48a1-841c-5db9df24f2f9",
	name: "Self-Aware AI",
	canResearch: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(42, 1, 1);

						return res;
				},
	category: "A.I.",
	categoryDisplayName: "AI",
	v: 12
	});


// ******************************************************************************************
// Researches: Lab
// ******************************************************************************************

// Adding Direct Brain-Machine Technology
// -----------------------------------------------------------
UltimateLib.Research.addRndResearch({
	id: "f9fb4a45-2b1e-449f-b62c-30e47bb8f2d3",
	name: "Direct Brain-Machine Technology",
	pointsCost: 10000,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/researches/lab/brain.png",
	description: "Researching this will allow us to make games to the utmost level of immersion by connecting directly to the human brain.",
	canResearch: function () {
							var res = true;
							res =   GameManager.company.cash >= 1000000000;
							res =   GameManager.company.isLaterOrEqualThan(50, 1, 1);
							res &= GameManager.company.flags.rndLabUnlocked;

						return res;
				},
	repeatable: false,
	targetZone: 2,
	complete: function () {
			
			var research =  Research.getAllItems().filter(function (f) { return f.id === 'f9fb4a45-2b1e-449f-b62c-30e47bb8f2d3';  });
			if(research){
				GameManager.company.researchCompleted.push(research);
				// Notification
				var notification = new Notification({
	header: "Great Scott!",
	text: "We've successfully researched the technology! Huzzah! This will revolutionize the industry!",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/brain.png",
	buttonText: "Nice :]",
	weeksUntilFired: 0
	});
GameManager.company.notifications.push(notification);

				// Actions
				
			}
			else {
				var notification = new Notification({
					header: "UME Error",
					text: "An error occurred on lab research complete callback.",
					image: "",
					buttonText: "OK",
					weeksUntilFired: 0
				});
				GameManager.company.notifications.push(notification);
			}
			
}

	});


// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Arcade Cabinet
// -----------------------------------------------------------
GDT.addPlatform({
	id:"16db06bf-9f5f-4393-bb77-35c75cf72d81",
	name:"Arcade Cabinet",
	company:"Miscellaneous",
	startAmount:0.5,
	unitsSold:2,
	licencePrize:4E3,
	published:"1/1/1",
	platformRetireDate:"9/3/4",
	developmentCosts:2E4,
	genreWeightings:[  1, 1, 0.6, 0.7, 0.8, 0.9 ],
	audienceWeightings:[  0.9, 1, 0.8 ],
	techLevel:2,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/arcade-machines.png",
	events:[{
	id: "6b3d7acc-934e-4822-a6d6-543935089360",
	date: "3/2/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Arcade Sales Dropping",
	text: "With the success of the TES and revival of home gaming, less and less customers are coming to their local Arcades.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/arcade-machines.png",
	buttonText: "Well shit.",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "2c778583-14f8-44d1-9df9-c6eea0931e63",
	date: "9/3/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Arcade cabinets going off market!",
	text: "With home consoles being so successful, the arcade industry is relegated to custom made cabinets. It's impossible to be overly successful in major arcade projects now.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/arcade-machines.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Arati 3700
// -----------------------------------------------------------
GDT.addPlatform({
	id:"74ddf91d-f2a5-4907-bab7-975eea5fd2be",
	name:"Arati 3700",
	company:"Arati",
	startAmount:1,
	unitsSold:1,
	licencePrize:1E4,
	published:"1/1/1",
	platformRetireDate:"2/1/1",
	developmentCosts:1E4,
	genreWeightings:[  0.7, 1, 0.6, 0.8, 0.8, 0.8 ],
	audienceWeightings:[  0.9, 0.9, 0.6 ],
	techLevel:1,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/atari2600.png",
	events:[{
	id: "4e26b0b1-90fb-45ca-8074-9da9a4cf8b0e",
	date: "2/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "3700 going off market!",
	text: "After a slew of abyssmal, low quality releases, the Arati game console, the 3700, is going off the market. Rumours say that millions of spare game cartridges for the console have been put in a dump. Arati has stated that they'll focus on licensing games with companies like Ninvento.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/atari2600.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Smartellivision
// -----------------------------------------------------------
GDT.addPlatform({
	id:"b1e99edc-e48a-4df4-a709-7b0ce2754634",
	name:"Smartellivision",
	company:"Martel Toys",
	startAmount:0.3,
	unitsSold:2,
	licencePrize:0,
	published:"1/1/1",
	platformRetireDate:"2/3/2",
	developmentCosts:1E4,
	genreWeightings:[  0.9, 1, 0.6, 0.9, 0.8, 0.9 ],
	audienceWeightings:[  1, 1, 0.7 ],
	techLevel:1,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/intellivision.png",
	events:[{
	id: "27f5fecf-a994-4841-ae1d-1a26b4f60572",
	date: "2/3/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Ninvento outcompetes other consoles",
	text: "With Ninvento's massive success and the decline of Arati, Martel Toys and Colureco have announced the discontinuation of their console lines, Smartellivision and Colurecovision.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/intellivision.png",
	buttonText: "GAME OVER",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Colurecovision
// -----------------------------------------------------------
GDT.addPlatform({
	id:"bc5db96e-b247-40c2-9bb7-dab298c21323",
	name:"Colurecovision",
	company:"Colure Co.",
	startAmount:0.6,
	unitsSold:3,
	licencePrize:1E4,
	published:"1/1/1",
	platformRetireDate:"2/3/2",
	developmentCosts:2E4,
	genreWeightings:[  0.9, 1, 0.6, 0.9, 0.8, 0.9 ],
	audienceWeightings:[  0.9, 1, 0.8 ],
	techLevel:2,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/colecovision.png",
	events:[{
	id: "27f5fecf-a994-4841-ae1d-1a26b4f60572",
	date: "2/3/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Ninvento outcompetes other consoles",
	text: "With Ninvento's massive success and the decline of Arati, Martel Toys and Colureco have announced the discontinuation of their console lines, Smartellivision and Colurecovision.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/intellivision.png",
	buttonText: "GAME OVER",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Game & Time
// -----------------------------------------------------------
GDT.addPlatform({
	id:"f7fb5bca-410d-402e-864d-0aab31338f37",
	name:"Game & Time",
	company:"Ninvento",
	startAmount:0.3,
	unitsSold:4,
	licencePrize:2E4,
	published:"1/1/1",
	platformRetireDate:"3/9/3",
	developmentCosts:1E4,
	genreWeightings:[  0.9, 0.6, 0.6, 0.9, 0.7, 1 ],
	audienceWeightings:[  1, 0.9, 0.6 ],
	techLevel:1,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/game&watch.png",
	events:[{
	id: "588f8ff6-eebc-4eae-aa13-e16a48432611",
	date: "3/9/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Game & Time going off market!",
	text: "With Ninvento's announcement of the Gameling, they have stopped shipping Game & Time units worldwide. The Game & Time was the first portable video game system, but could only hold one game at a time, similar to arcade cabinets.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/game&watch.png",
	buttonText: "Game & Ling",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Advance Gameling
// -----------------------------------------------------------
GDT.addPlatform({
	id:"2bec3c46-0031-4788-a017-8b9ec08959c1",
	name:"Advance Gameling",
	company:"Ninvento",
	startAmount:2,
	unitsSold:5,
	licencePrize:2E5,
	published:"9/3/1",
	platformRetireDate:"13/9/1",
	developmentCosts:3E4,
	genreWeightings:[  0.7, 1, 1, 0.7, 0.8, 0.9 ],
	audienceWeightings:[  1, 1, 0.7 ],
	techLevel:3,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/gameboyadvance.png",
	events:[{
	id: "5db4160e-e04f-4306-814d-e7d41fe2c746",
	date: "9/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Ninvento announces Advance Gameling!",
	text: "Though the Gameling has recieved upgrades in the past via Gameling Rainbow which allowed the device to show multiple colours, the Advance Gameling looks more like its own new portable, featuring 32-bit graphics instead of the Gameling's 8. The Advance Gameling releases next month.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/gameboyadvance.png",
	buttonText: "Advance this away from me",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding 3GS
// -----------------------------------------------------------
GDT.addPlatform({
	id:"c9bc57d9-c128-426f-a151-e4d3fef451bf",
	name:"3GS",
	company:"Ninvento",
	startAmount:5,
	unitsSold:1E1,
	licencePrize:7E5,
	published:"17/3/1",
	platformRetireDate:"32/4/2",
	developmentCosts:6E4,
	genreWeightings:[  0.9, 1, 1, 0.7, 0.7, 0.9 ],
	audienceWeightings:[  0.9, 1, 0.8 ],
	techLevel:4,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/3ds.png",
	events:[{
	id: "705494ca-9267-4519-9555-9d1caa1b008e",
	date: "17/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Ninvento announces the 3GS!",
	text: "The massive success of the GS proves there is a mobile market, but it is experiencing similar problems to the Gameling in terms of outdated and unpowerful hardware. Ninvento promises the 3GS will have a 3D display WITHOUT glasses, and be able to handle more than the Nuu.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/3ds.png",
	buttonText: "Nice af fam",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "aaff6ec6-1262-4f97-8db4-43a157168c22",
	date: "32/4/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "3GS is leaving the market!",
	text: "Ninvento has announced a new handheld, the 4GS, and is removing the 3GS from the market after numerous upgrades. The 4GS goes on sale next month.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/4gs.png",
	buttonText: "The future is now.",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding 4GS
// -----------------------------------------------------------
GDT.addPlatform({
	id:"115cb1b4-d4c0-4296-8c09-fb83e4dd8736",
	name:"4GS",
	company:"Ninvento",
	startAmount:1E1,
	unitsSold:2E1,
	licencePrize:1E6,
	published:"32/5/1",
	platformRetireDate:"39/3/3",
	developmentCosts:1E5,
	genreWeightings:[  0.8, 0.9, 1, 0.9, 0.7, 1 ],
	audienceWeightings:[  0.9, 1, 0.8 ],
	techLevel:5,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/4gs.png",
	events:[{
	id: "f4b8b175-04e7-4b6a-94bf-60341ba80c80",
	date: "39/3/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "4GS retired, Ninvento announces 5GS",
	text: "The original GS being released decades ago, Ninvento announced the 5th installment in their product line with a majour upgrade. The 4GS had been in the market for 7 years.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/5GS.png",
	buttonText: "Nice redundancy",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding PlaySystem VI
// -----------------------------------------------------------
GDT.addPlatform({
	id:"0c38b908-731a-4047-9192-acfc61cabc77",
	name:"PlaySystem VI",
	company:"Vonny",
	startAmount:7,
	unitsSold:9,
	licencePrize:2E6,
	published:"36/4/4",
	platformRetireDate:"43/3/1",
	developmentCosts:1E5,
	genreWeightings:[  1, 0.9, 0.7, 0.8, 0.9, 0.6 ],
	audienceWeightings:[  0.6, 0.9, 1 ],
	techLevel:5,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/ps6.png",
	events:[{
	id: "e3a3d725-ed96-453c-835f-ab68547a2b32",
	date: "36/3/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "PlaySystem VI announced by Vonny",
	text: "Vonny has announced today that it will be releasing the much anticipated followup to the PlaySystem V next month. The company has recieved criticism on the make of the console, however, as it appears to be more of the same.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/ps6.png",
	buttonText: "YIPE",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "b12aa2c2-6e0e-4e0c-8d7a-26d5e9eae617",
	date: "43/3/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "PlaySystem VI discontinued, PlaySystem VII announced.",
	text: "The PlaySystem VI was Vonny's main console for the past decade, but they announced today that it is being retired in favour of the new iteration of the console, the PlaySystem VII.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/ps7.png",
	buttonText: "Oh no",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding mBox Frontier
// -----------------------------------------------------------
GDT.addPlatform({
	id:"85ee97a8-1617-4d0c-8fa2-874290eb6c87",
	name:"mBox Frontier",
	company:"Mirconoft",
	startAmount:6,
	unitsSold:1E1,
	licencePrize:2E6,
	published:"34/2/1",
	platformRetireDate:"43/2/1",
	developmentCosts:5E5,
	genreWeightings:[  1, 1, 0.6, 0.9, 0.7, 0.8 ],
	audienceWeightings:[  0.7, 0.9, 0.9 ],
	techLevel:5,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/xboxfrontier.png",
	events:[{
	id: "72616c30-0aea-4580-8876-c424dd0bcd63",
	date: "34/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Mirconoft announces the mBox Frontier!",
	text: "Mirconoft had a press conference last week, revealing the long awaited successor to the mBox Next. It releases next month.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/xboxfrontier.png",
	buttonText: "A new frontier!",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "720b002c-c56e-40ab-8496-bf7b40d36cef",
	date: "43/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "mBox Frontier cancelled, mBox Infinite announced.",
	text: "Mirconoft has announced the cancellation of the mBox Frontier, as well as the coming of their new console, the mBox Infinite, next month. While the Frontier was very similar to the mBox Next in terms of technology, Infinite promises a huge jump.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/xboxinfinite.png",
	buttonText: "TO INFINITY AND BEYOND!",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding NX
// -----------------------------------------------------------
GDT.addPlatform({
	id:"16ced7de-c24c-4c69-9c68-6b5c68810c34",
	name:"NX",
	company:"Ninvento",
	startAmount:5,
	unitsSold:1E1,
	licencePrize:2E6,
	published:"32/2/1",
	platformRetireDate:"41/1/1",
	developmentCosts:2E5,
	genreWeightings:[  0.9, 1, 0.8, 0.7, 0.6, 1 ],
	audienceWeightings:[  1, 1, 0.7 ],
	techLevel:5,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/nx.png",
	events:[{
	id: "2d53ec9b-38f9-4e35-9e30-7e7ba3e74a8c",
	date: "32/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Ninvento announces new console!",
	text: "Next month, Ninvento will release the NX, a far departure from the Swap. The company is under harsh criticism due to having such a bulky design, but it is still technically superior than any other announced console.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/nx.png",
	buttonText: "hehehe 'NX't console",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "fde30b1a-040c-4db5-b29e-c6ce21f839b6",
	date: "41/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Ninvento announces new console!",
	text: "Ninvento is at it again, seemingly going back to the formula that the Swap established over a decade ago, but to a more refined and amazing enhancement. The new console is called the Ninvento Future, the name being the only thing NOT cool about this new development. The NX has just been taken off market in preperation for the new release.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/future.png",
	buttonText: "Nani?",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding 5GS
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3930c408-4688-4ab5-a29e-a5d5e80eb703",
	name:"5GS",
	company:"Ninvento",
	startAmount:7,
	unitsSold:1E1,
	licencePrize:5E6,
	published:"39/4/3",
	platformRetireDate:"50/1/1",
	developmentCosts:2E5,
	genreWeightings:[  0.7, 1, 1, 0.7, 0.9, 1 ],
	audienceWeightings:[  1, 1, 0.7 ],
	techLevel:6,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/5GS.png",
	events:null
	});

// Adding PlaySystem VII
// -----------------------------------------------------------
GDT.addPlatform({
	id:"1e4e8592-ab66-4dec-8cd2-22db7814f29f",
	name:"PlaySystem VII",
	company:"Vonny",
	startAmount:1E1,
	unitsSold:2E1,
	licencePrize:5E6,
	published:"43/4/1",
	platformRetireDate:"50/1/1",
	developmentCosts:5E5,
	genreWeightings:[  1, 0.9, 0.8, 0.6, 0.7, 0.6 ],
	audienceWeightings:[  0.6, 0.9, 1 ],
	techLevel:6,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/ps7.png",
	events:[{
	id: "a55236b6-422a-444e-b265-aa0c86a1478b",
	date: "50/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "All major consoles taken off market??",
	text: "Ninvento, Mirconoft, and Vonny have all pulled their consoles from shelves, and merged together into one megacorporation, called Ninvonnoft. Reports say they are working on a console to beat all consoles, and it will serve as your final test. You'll have a few years to develop your own console to compete with this mystery contender. Or, you can submit to the monopoly.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/voninbox godyssey.png",
	buttonText: "The Grace Period Begins Now.",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding mBox Infinite
// -----------------------------------------------------------
GDT.addPlatform({
	id:"59cf7a3e-ddbf-49af-857b-5dbbbe0e7b58",
	name:"mBox Infinite",
	company:"Mirconoft",
	startAmount:7,
	unitsSold:2E1,
	licencePrize:6E6,
	published:"43/3/1",
	platformRetireDate:"50/1/1",
	developmentCosts:1E6,
	genreWeightings:[  1, 1, 0.6, 0.9, 0.7, 0.8 ],
	audienceWeightings:[  0.8, 1, 0.9 ],
	techLevel:6,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/xboxinfinite.png",
	events:null
	});

// Adding Future
// -----------------------------------------------------------
GDT.addPlatform({
	id:"208370b5-92a5-443a-b9bb-398fff7fa8fd",
	name:"Future",
	company:"Ninvento",
	startAmount:1E1,
	unitsSold:3E1,
	licencePrize:1E7,
	published:"41/2/1",
	platformRetireDate:"50/1/1",
	developmentCosts:2E6,
	genreWeightings:[  1, 1, 1, 0.9, 0.7, 0.9 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:6,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/future.png",
	events:null
	});

// Adding Megavox Godyssey
// -----------------------------------------------------------
GDT.addPlatform({
	id:"f4e2e765-1fd6-4571-bb7e-cb5cbd7ff75b",
	name:"Megavox Godyssey",
	company:"Ninvonnoft",
	startAmount:1E2,
	unitsSold:3E2,
	licencePrize:1E8,
	published:"55/1/1",
	platformRetireDate:"65/1/1",
	developmentCosts:5E6,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/voninbox godyssey.png",
	events:[{
	id: "11566425-3045-437e-98be-810abb789bbe",
	date: "54/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "It Comes",
	text: "Final Boss in 1 Year.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/voninbox godyssey.png",
	buttonText: "OH NO",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "eb6a2514-3ff7-4309-afd0-9e1b3d519b35",
	date: "54/12/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "It Comes",
	text: "Final Boss in 1 Month.\\n\\nRevealing the Megavox Godyssey:",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/voninbox godyssey.png",
	buttonText: "OH NOOOOO",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "c25e64ae-b5b5-4da7-830c-e9d665b96f6b",
	date: "65/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "The End",
	text: "If you have reached this point, it means one of three things.\\n\\nOne, the worst ending, you succumbed to the monopoly and gave up on console endeavours.\\n\\nTwo, the alright ending, you stayed as an alternative console creator, but never topped them,\\n\\nand three, the impossible ending, you beat Megavox Godyssey and Ninvonnoft with your console, (1000M console sales.)\\n\\nThis concludes this mod's story mode. More may be added in the future, and if you have suggestions, please comment them. You may continue playing but there will be no hard competition if you made it this far with a console or even most likely without one.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/burned.png",
	buttonText: "Good Game.",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Rainbow Teli-Game
// -----------------------------------------------------------
GDT.addPlatform({
	id:"82ef6467-47d7-4c94-b749-32bb46057417",
	name:"Rainbow Teli-Game",
	company:"Ninvento",
	startAmount:0.005,
	unitsSold:2,
	licencePrize:2E4,
	published:"1/1/1",
	platformRetireDate:"1/12/1",
	developmentCosts:1E4,
	genreWeightings:[  1, 0.6, 0.6, 0.8, 0.7, 1 ],
	audienceWeightings:[  1, 1, 0.6 ],
	techLevel:1,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/colortvgame.png",
	events:null
	});

// Adding Arati 9000
// -----------------------------------------------------------
GDT.addPlatform({
	id:"62953895-5a4b-49c7-b94a-951b3f428cc3",
	name:"Arati 9000",
	company:"Arati",
	startAmount:0.5,
	unitsSold:1,
	licencePrize:1E4,
	published:"2/3/1",
	platformRetireDate:"4/8/3",
	developmentCosts:5E3,
	genreWeightings:[  0.9, 0.7, 0.6, 0.6, 0.6, 0.9 ],
	audienceWeightings:[  1, 0.8, 0.6 ],
	techLevel:2,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/atari7800.png",
	events:[{
	id: "17b59ae5-a4b5-421e-a9d9-aedc74f22882",
	date: "4/6/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Arati announces retirement from the console market.",
	text: "After a poor monetary gain from the Arati 9000, Arati is deciding to leave the console market to focus on software and game development for various other game giants.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/atari7800.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Geo Neo
// -----------------------------------------------------------
GDT.addPlatform({
	id:"33d01c5f-d400-4397-a6e9-33891d80a6ed",
	name:"Geo Neo",
	company:"SRK Corp.",
	startAmount:0.5,
	unitsSold:1,
	licencePrize:1E5,
	published:"5/12/4",
	platformRetireDate:"7/5/2",
	developmentCosts:1E4,
	genreWeightings:[  0.9, 1, 0.6, 0.6, 0.7, 0.9 ],
	audienceWeightings:[  1, 0.9, 0.7 ],
	techLevel:2,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/neogeo.png",
	events:[{
	id: "7a837302-dbbe-48df-a9f6-a0678bb6d0f5",
	date: "5/10/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "New console announced!",
	text: "A Japanese corporation, SRK, has announced a home cartridge-based system after the success of their Arcade Cabinets. We'll see what they have in store.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/neogeo.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "922a0f05-42b6-49e2-a1a5-53a577ab459e",
	date: "7/3/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "The Geo Neo is retired!",
	text: "While many enjoyed the consoles and it did well for what it was, SRK Corporation has announced their withdrawel from the console market. It seems that it has become harder and harder to become a competitor in the console market, and any which have a sizeable following end up not surviving to the next console generation. We'll have to see if this can change in the future, as home gaming is becoming a larger industry, and many big hardware manufacturers would already have the capital to be able to compete with Ninvento or Vena.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/neogeo.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Vena Venus
// -----------------------------------------------------------
GDT.addPlatform({
	id:"98b646c9-68fa-4c21-96fa-5c60006e8f30",
	name:"Vena Venus",
	company:"Vena",
	startAmount:1,
	unitsSold:3,
	licencePrize:5E5,
	published:"7/4/1",
	platformRetireDate:"10/8/2",
	developmentCosts:1E5,
	genreWeightings:[  0.7, 1, 0.8, 0.6, 0.8, 0.9 ],
	audienceWeightings:[  1, 0.9, 0.7 ],
	techLevel:3,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/segasaturn.png",
	events:[{
	id: "07054426-0f1a-4d51-8660-041b4de7a758",
	date: "7/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "New console!",
	text: "The Vena Venus is being released in two months time, and is set to compete against the PlaySystem by Vonny.",
	image: Future_Past_Expansion_EbolaGranola.modPath + "/images/notifications/segasaturn.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding PSV
// -----------------------------------------------------------
GDT.addPlatform({
	id:"6b0eebd0-5d77-4314-a939-95dbc4b4a185",
	name:"PSV",
	company:"Vonny",
	startAmount:1,
	unitsSold:4,
	licencePrize:5E5,
	published:"17/6/2",
	platformRetireDate:"32/1/1",
	developmentCosts:1E5,
	genreWeightings:[  1, 0.8, 0.9, 0.6, 0.7, 0.7 ],
	audienceWeightings:[  0.7, 0.9, 0.9 ],
	techLevel:4,
	iconUri: Future_Past_Expansion_EbolaGranola.modPath + "/images/platforms/playstationvita.png",
	events:null
	});


// ******************************************************************************************
// Topics
// ******************************************************************************************

GDT.addTopics([
{ 
	id: "c7d50171-4785-42dd-b2cb-8b8a3fa2a85e",
	name: "Fighting",
	genreWeightings: [  1, 0.7, 0.7, 0.9, 0.6, 0.9 ],
	audienceWeightings: [  0.7, 1, 0.9 ]
	 }
,{ 
	id: "b76fdaf5-c322-4987-ae73-c12d964319a1",
	name: "First Person Shooter",
	genreWeightings: [  1, 0.7, 0.6, 0.8, 0.9, 0.6 ],
	audienceWeightings: [  0.7, 0.8, 1 ]
	 }
,{ 
	id: "0e9c7965-18c1-4e7a-8680-3401258449fa",
	name: "Battle Royale",
	genreWeightings: [  1, 0.7, 0.6, 0.6, 0.9, 1 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
,{ 
	id: "8dd9f0bb-d315-4fd3-a136-84863f9c557b",
	name: "JRPG",
	genreWeightings: [  0.8, 0.9, 1, 0.6, 0.6, 0.6 ],
	audienceWeightings: [  0.7, 0.9, 0.9 ]
	 }
,{ 
	id: "89432948-d504-4878-addb-45db763ad5dd",
	name: "Crossover",
	genreWeightings: [  1, 1, 0.8, 0.6, 0.8, 0.8 ],
	audienceWeightings: [  1, 1, 1 ]
	 }
,{ 
	id: "58f25647-5efd-4103-80c7-e0e26225d7bb",
	name: "Platformer",
	genreWeightings: [  1, 1, 0.6, 0.6, 0.7, 0.9 ],
	audienceWeightings: [  1, 1, 0.8 ]
	 }
,{ 
	id: "8bf2241d-506b-4f3b-a816-922f2db5f8b5",
	name: "Third Person Shooter",
	genreWeightings: [  1, 0.8, 0.6, 0.9, 0.9, 0.7 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
,{ 
	id: "48cb88d7-3f23-432d-8564-d3ada1d40f0a",
	name: "MOBA",
	genreWeightings: [  0.9, 0.7, 0.6, 0.6, 1, 0.8 ],
	audienceWeightings: [  0.7, 1, 0.9 ]
	 }
,{ 
	id: "11a43e36-788b-4b3c-8c92-7a02cd741102",
	name: "Shoot 'Em Up",
	genreWeightings: [  1, 0.9, 0.6, 0.6, 0.9, 0.7 ],
	audienceWeightings: [  0.6, 0.7, 1 ]
	 }
,{ 
	id: "9bdb8442-fb85-427b-886a-d906bb9157f5",
	name: "Bullet Hell",
	genreWeightings: [  1, 0.9, 0.9, 0.6, 0.8, 0.6 ],
	audienceWeightings: [  0.8, 0.9, 0.9 ]
	 }
,{ 
	id: "bb8f305a-594c-4cd4-9c12-20089e145737",
	name: "Beat 'Em Up",
	genreWeightings: [  1, 1, 0.7, 0.6, 0.8, 0.7 ],
	audienceWeightings: [  0.7, 0.9, 1 ]
	 }
,{ 
	id: "b386dc16-3a2b-450f-950b-7596a54a39ee",
	name: "Hack and Slash",
	genreWeightings: [  1, 0.9, 0.6, 0.6, 0.9, 0.6 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
,{ 
	id: "b660efbe-f1a3-4f04-8446-56e7568d3d93",
	name: "Stealth",
	genreWeightings: [  0.9, 1, 0.8, 0.7, 1, 0.7 ],
	audienceWeightings: [  0.8, 0.8, 1 ]
	 }
,{ 
	id: "e74e5b37-ef1e-489c-a0de-14e1c30f01b9",
	name: "Survival",
	genreWeightings: [  1, 0.9, 0.7, 0.6, 0.9, 0.8 ],
	audienceWeightings: [  0.6, 0.9, 0.9 ]
	 }
,{ 
	id: "b6ed62fe-7c20-4f76-a0d0-883850ebb6dd",
	name: "Survival Horror",
	genreWeightings: [  1, 0.8, 0.6, 0.6, 0.9, 0.6 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
,{ 
	id: "f5286f36-7fc3-474d-a932-11388510698d",
	name: "Metroidvania",
	genreWeightings: [  0.9, 1, 0.7, 0.6, 0.9, 0.8 ],
	audienceWeightings: [  0.8, 1, 1 ]
	 }
,{ 
	id: "06012794-3196-4a64-b205-2f61cba2da7c",
	name: "Text Adventure",
	genreWeightings: [  0.8, 1, 1, 0.6, 0.9, 0.7 ],
	audienceWeightings: [  0.9, 0.9, 0.8 ]
	 }
,{ 
	id: "a3fc7f06-f01b-489a-b8df-6a869b2d9b4d",
	name: "Image Adventure",
	genreWeightings: [  0.8, 1, 1, 0.6, 0.8, 0.7 ],
	audienceWeightings: [  0.9, 0.9, 0.8 ]
	 }
,{ 
	id: "aa374705-6c8b-4661-bff6-8002c1430c7c",
	name: "Visual Novel",
	genreWeightings: [  0.7, 0.9, 0.8, 0.7, 0.6, 1 ],
	audienceWeightings: [  0.7, 0.9, 1 ]
	 }
,{ 
	id: "6afa8b74-585e-4a1e-8162-e015fc420d17",
	name: "Roguelike",
	genreWeightings: [  0.9, 0.9, 1, 0.6, 0.9, 0.7 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "363224e7-2373-4ac8-b5d9-f28275153a7a",
	name: "Sandbox",
	genreWeightings: [  0.8, 1, 1, 0.9, 0.7, 0.9 ],
	audienceWeightings: [  1, 1, 0.7 ]
	 }
,{ 
	id: "bb9b354d-c905-4c88-a7cc-05bc1df057a7",
	name: "4X/Civilization",
	genreWeightings: [  0.6, 0.7, 0.8, 1, 1, 0.7 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "283c153e-623b-4b45-bc85-5edd4fa28e14",
	name: "RTS",
	genreWeightings: [  1, 0.6, 0.6, 0.9, 1, 0.6 ],
	audienceWeightings: [  0.8, 0.9, 1 ]
	 }
,{ 
	id: "6d93ca39-8521-465f-b806-27baaa557787",
	name: "Tower Defense",
	genreWeightings: [  0.7, 0.6, 0.6, 0.8, 1, 0.8 ],
	audienceWeightings: [  0.9, 0.9, 0.9 ]
	 }
,{ 
	id: "e60eb149-d9d8-4d30-be84-f3ce5f114469",
	name: "Wargame",
	genreWeightings: [  0.9, 0.6, 0.6, 0.9, 1, 0.6 ],
	audienceWeightings: [  0.7, 0.9, 1 ]
	 }
,{ 
	id: "c9e40036-144d-4560-ac7b-45d2d8ab7455",
	name: "Party",
	genreWeightings: [  0.8, 0.7, 0.7, 0.6, 0.7, 1 ],
	audienceWeightings: [  1, 1, 0.6 ]
	 }
,{ 
	id: "74d6db97-f529-4eca-8393-878f2835bd0c",
	name: "Card Game",
	genreWeightings: [  0.7, 0.6, 1, 0.9, 1, 0.6 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "bc528eac-9105-489d-ae37-16fdb4ea6557",
	name: "Idle Game",
	genreWeightings: [  0.7, 0.7, 0.6, 0.6, 0.7, 1 ],
	audienceWeightings: [  1, 0.9, 0.6 ]
	 }
,{ 
	id: "bb27e29c-be16-40e0-bd7e-2613453df4d9",
	name: "Arcade",
	genreWeightings: [  1, 1, 0.6, 0.6, 0.8, 0.9 ],
	audienceWeightings: [  1, 1, 0.9 ]
	 }

]);

// ******************************************************************************************
// Events
// ******************************************************************************************


// ******************************************************************************************
// Achievements
// ******************************************************************************************

// Adding The End
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "a2faf137-b12b-49c1-b8c7-cd78c6fba7ea",
	title: "The End",
	description: "Your company survived through the Megavox Godyssey.",
	tint: "#C0504D",
	value: 1,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(65, 2, 1);

						return res;
				}
	}));

// Adding Good End
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "74026282-bb32-43e4-a49a-f8113ca47d76",
	title: "Good End",
	description: "Your company survived the Megavox Godyssey with enough cash and fans to surpass them.",
	tint: "#FFC000",
	value: 300,
	hidden: true,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(65, 2, 1);
							res &=   GameManager.company.cash >= 1000000000;
							res |=   GameManager.company.fans >= 100000000;

						return res;
				}
	}));


})();
